> ## Documentation Index
> Fetch the complete documentation index at: https://docs-polymarket-us.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel all open orders

> Cancel all open orders, optionally filtered by market slugs



## OpenAPI

````yaml api-reference/oapi-schemas/orders-schema.json post /v1/orders/open/cancel
openapi: 3.0.1
info:
  title: Orders API
  description: Order management endpoints for trading
  version: v1.0.0
servers:
  - url: https://api.polymarket.us
security: []
tags:
  - name: Orders
paths:
  /v1/orders/open/cancel:
    post:
      tags:
        - Orders
      summary: Cancel all open orders
      description: Cancel all open orders, optionally filtered by market slugs
      operationId: OrdersService_CancelOpenOrders
      requestBody:
        description: Request to cancel all open orders
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CancelOpenOrdersRequest'
      responses:
        '200':
          description: Open orders canceled successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CancelOpenOrdersResponse'
        '400':
          description: Bad request - invalid cancel request
        '401':
          description: Unauthorized - invalid or missing API key
        '500':
          description: Internal server error
components:
  schemas:
    CancelOpenOrdersRequest:
      type: object
      properties:
        slugs:
          type: array
          items:
            type: string
          description: >-
            Market slugs to filter cancellation. If empty, cancels all open
            orders
    CancelOpenOrdersResponse:
      type: object
      properties:
        canceledOrderIds:
          type: array
          items:
            type: string
          description: List of canceled order IDs

````